src/Entity/Reservar.php
<?php

namespace App\Entity;

use App\Repository\ReservarRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=ReservarRepository::class)
 */
class Reservar
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $tipo_reservacion;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $idioma_socio;

    /**
     * @ORM\Column(type="integer")
     */
    private $owner_id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $numero_contrato;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $nombre_socio;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $cert;

    /**
     * @ORM\ManyToOne(targetEntity=Hotel::class, inversedBy="reservars")
     */
    private $hotel;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $fecha_llegada;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $fecha_salida;

    /**
     * @ORM\ManyToMany(targetEntity=Habitacion::class, inversedBy="reservars")
     */
    private $habitacion;

    public function __construct()
    {
        $this->habitacion = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTipoReservacion(): ?string
    {
        return $this->tipo_reservacion;
    }

    public function setTipoReservacion(string $tipo_reservacion): self
    {
        $this->tipo_reservacion = $tipo_reservacion;

        return $this;
    }

    public function getIdiomaSocio(): ?string
    {
        return $this->idioma_socio;
    }

    public function setIdiomaSocio(string $idioma_socio): self
    {
        $this->idioma_socio = $idioma_socio;

        return $this;
    }

    public function getOwnerId(): ?int
    {
        return $this->owner_id;
    }

    public function setOwnerId(int $owner_id): self
    {
        $this->owner_id = $owner_id;

        return $this;
    }

    public function getNumeroContrato(): ?string
    {
        return $this->numero_contrato;
    }

    public function setNumeroContrato(string $numero_contrato): self
    {
        $this->numero_contrato = $numero_contrato;

        return $this;
    }

    public function getNombreSocio(): ?string
    {
        return $this->nombre_socio;
    }

    public function setNombreSocio(string $nombre_socio): self
    {
        $this->nombre_socio = $nombre_socio;

        return $this;
    }

    public function getCert(): ?string
    {
        return $this->cert;
    }

    public function setCert(string $cert): self
    {
        $this->cert = $cert;

        return $this;
    }

    public function getHotel(): ?Hotel
    {
        return $this->hotel;
    }

    public function setHotel(?Hotel $hotel): self
    {
        $this->hotel = $hotel;

        return $this;
    }

    public function getFechaLlegada(): ?string
    {
        return $this->fecha_llegada;
    }

    public function setFechaLlegada(string $fecha_llegada): self
    {
        $this->fecha_llegada = $fecha_llegada;

        return $this;
    }

    public function getFechaSalida(): ?string
    {
        return $this->fecha_salida;
    }

    public function setFechaSalida(string $fecha_salida): self
    {
        $this->fecha_salida = $fecha_salida;

        return $this;
    }

    /**
     * @return Collection<int, Habitacion>
     */
    public function getHabitacion(): Collection
    {
        return $this->habitacion;
    }

    public function addHabitacion(Habitacion $habitacion): self
    {
        if (!$this->habitacion->contains($habitacion)) {
            $this->habitacion[] = $habitacion;
        }

        return $this;
    }

    public function removeHabitacion(Habitacion $habitacion): self
    {
        $this->habitacion->removeElement($habitacion);

        return $this;
    }
}

src/Form/ReservarType.php
<?php

namespace App\Form;

use App\Entity\Reservar;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ReservarType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('tipo_reservacion')
            ->add('idioma_socio')
            ->add('owner_id')
            ->add('numero_contrato')
            ->add('nombre_socio')
            ->add('cert')
            ->add('fecha_llegada')
            ->add('fecha_salida')
            ->add('hotel')
            ->add('habitacion')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Reservar::class,
        ]);
    }
}

src/Controller/ReservarController.php
<?php

namespace App\Controller;

use App\Entity\Reservar;
use App\Form\ReservarType;
use App\Repository\ReservarRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/reservar")
 */
class ReservarController extends AbstractController
{
    /**
     * @Route("/", name="app_reservar_index", methods={"GET"})
     */
    public function index(ReservarRepository $reservarRepository): Response
    {
        return $this->render('reservar/index.html.twig', [
            'reservars' => $reservarRepository->findAll(),
        ]);
    }

    /**
     * @Route("/new", name="app_reservar_new", methods={"GET", "POST"})
     */
    public function new(Request $request, ReservarRepository $reservarRepository): Response
    {
        $reservar = new Reservar();
        $form = $this->createForm(ReservarType::class, $reservar);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $reservarRepository->add($reservar, true);

            return $this->redirectToRoute('app_reservar_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('reservar/new.html.twig', [
            'reservar' => $reservar,
            'form' => $form,
        ]);
    }

    /**
     * @Route("/{id}", name="app_reservar_show", methods={"GET"})
     */
    public function show(Reservar $reservar): Response
    {
        return $this->render('reservar/show.html.twig', [
            'reservar' => $reservar,
        ]);
    }

    /**
     * @Route("/{id}/edit", name="app_reservar_edit", methods={"GET", "POST"})
     */
    public function edit(Request $request, Reservar $reservar, ReservarRepository $reservarRepository): Response
    {
        $form = $this->createForm(ReservarType::class, $reservar);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $reservarRepository->add($reservar, true);

            return $this->redirectToRoute('app_reservar_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('reservar/edit.html.twig', [
            'reservar' => $reservar,
            'form' => $form,
        ]);
    }

    /**
     * @Route("/{id}", name="app_reservar_delete", methods={"POST"})
     */
    public function delete(Request $request, Reservar $reservar, ReservarRepository $reservarRepository): Response
    {
        if ($this->isCsrfTokenValid('delete'.$reservar->getId(), $request->request->get('_token'))) {
            $reservarRepository->remove($reservar, true);
        }

        return $this->redirectToRoute('app_reservar_index', [], Response::HTTP_SEE_OTHER);
    }
}

templates/reservar/_delete_form.html.twig
<form method="post" action="{{ path('app_reservar_delete', {'id': reservar.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ reservar.id) }}">
    <button class="btn">Delete</button>
</form>

templates/reservar/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/reservar/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit Reservar{% endblock %}

{% block body %}
    <h1>Edit Reservar</h1>

    {{ include('reservar/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('app_reservar_index') }}">back to list</a>

    {{ include('reservar/_delete_form.html.twig') }}
{% endblock %}

templates/reservar/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Reservar index{% endblock %}

{% block body %}
    <h1>Reservar index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Tipo_reservacion</th>
                <th>Idioma_socio</th>
                <th>Owner_id</th>
                <th>Numero_contrato</th>
                <th>Nombre_socio</th>
                <th>Cert</th>
                <th>Fecha_llegada</th>
                <th>Fecha_salida</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for reservar in reservars %}
            <tr>
                <td>{{ reservar.id }}</td>
                <td>{{ reservar.tipoReservacion }}</td>
                <td>{{ reservar.idiomaSocio }}</td>
                <td>{{ reservar.ownerId }}</td>
                <td>{{ reservar.numeroContrato }}</td>
                <td>{{ reservar.nombreSocio }}</td>
                <td>{{ reservar.cert }}</td>
                <td>{{ reservar.fechaLlegada }}</td>
                <td>{{ reservar.fechaSalida }}</td>
                <td>
                    <a href="{{ path('app_reservar_show', {'id': reservar.id}) }}">show</a>
                    <a href="{{ path('app_reservar_edit', {'id': reservar.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="10">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_reservar_new') }}">Create new</a>
{% endblock %}

templates/reservar/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New Reservar{% endblock %}

{% block body %}
    <h1>Create new Reservar</h1>

    {{ include('reservar/_form.html.twig') }}

    <a href="{{ path('app_reservar_index') }}">back to list</a>
{% endblock %}

templates/reservar/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}Reservar{% endblock %}

{% block body %}
    <h1>Reservar</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ reservar.id }}</td>
            </tr>
            <tr>
                <th>Tipo_reservacion</th>
                <td>{{ reservar.tipoReservacion }}</td>
            </tr>
            <tr>
                <th>Idioma_socio</th>
                <td>{{ reservar.idiomaSocio }}</td>
            </tr>
            <tr>
                <th>Owner_id</th>
                <td>{{ reservar.ownerId }}</td>
            </tr>
            <tr>
                <th>Numero_contrato</th>
                <td>{{ reservar.numeroContrato }}</td>
            </tr>
            <tr>
                <th>Nombre_socio</th>
                <td>{{ reservar.nombreSocio }}</td>
            </tr>
            <tr>
                <th>Cert</th>
                <td>{{ reservar.cert }}</td>
            </tr>
            <tr>
                <th>Fecha_llegada</th>
                <td>{{ reservar.fechaLlegada }}</td>
            </tr>
            <tr>
                <th>Fecha_salida</th>
                <td>{{ reservar.fechaSalida }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_reservar_index') }}">back to list</a>

    <a href="{{ path('app_reservar_edit', {'id': reservar.id}) }}">edit</a>

    {{ include('reservar/_delete_form.html.twig') }}
{% endblock %}